Open topic with navigation

TIBCO BusinessConnect™ Container Edition 1.4.0

# Activate Protocol Plug-Ins

You can manage BusinessConnect Container properties by using the Activate Protocol Plugins tab. All the installed and activated protocols are displayed on the Activate Protocol Plugins page. In this window, you can perform the following tasks:

• Verify the names and the versions of installed protocols.

• Add, change, or remove TIBCO BusinessConnect Container Edition or protocol-specific properties.

Activated Protocol Plug-ins and Properties

Plug-in | Title | Protocol
--- | --- | ---
BCCE | BusinessConnect Container Edition Note: The default properties of TIBCO BusinessConnect Container Edition cannot be deleted by a user. For more information, see Editing Plug-in Properties. |
| • | TIBCO BusinessConnect Container Edition AS1 Transport
| • | TIBCO BusinessConnect Container Edition AS2 Transport
EZComm | BusinessConnect Container Edition - Services Plug-in | EZComm
RosettaNet | BusinessConnect Container Edition - RosettaNet Protocol | RosettaNet
tibEDI | BusinessConnect Container Edition - EDI Protocol powered by Instream | EDIFACT
| • | Gateway
| • | X12

## Managing Plug-in Properties of TIBCO BusinessConnect Container Edition

You can add, delete, and edit the Plug-in properties of TIBCO BusinessConnect Container Edition.

#### Adding a Property

To add a property to any of the listed protocol plug-ins, perform the following steps:

| 1. | In the Edit BCCE Plugin Settings, click Add Property.

| 2. | Enter or select information as explained in the following table:

Adding New Property

Field | Description
--- | ---
Property Name | Specify the name of the property.
Property Type | Select a data type from the dropdown list: Boolean, String, or Integer.
Description | Specify a description of the new property.

#### Editing Plug-in Properties

To edit the properties, perform the following steps:

1. On the Activate Protocol Plugins page, click BCCE.

2. In the Edit BCCE Plugin Settings dialog, configure the properties as explained in the following table:

TIBCO BusinessConnect Container Edition Properties

Label | Field | Description
--- | --- | ---
Database | bc.db.maxretry | The maximum number of retries for a database connection in case of failures. The default value is 3.
bc.db.sleep.between.retry | The time interval between the successive attempts of connection in milliseconds. The default value is 1000.
bc.db.auditlog.style | The format in which the audit and non-repudiation data is stored: Uncompressed or Compressed. Messages are compressed to save disk space, which also triggers the overhead of compressing the messages. Therefore, choosing whether messages are stored in compressed or in uncompressed format depends on the priorities for a specific server: saving disk space or keeping better performance. Note: This property cannot be changed dynamically: the TIBCO BusinessConnect Container Edition server has to be restarted for this property to take effect.
HTTP | bc.http.threadPool.maximum | The maximum number of threads used for Outbound HTTP (or HTTPS) requests. The default value is 32.
SSL Caching | bc.ssl.disableSessionCache | Disables the session cache for outbound HTTPS and FTPS. HTTPS (SSL) transport endpoints (HTTPS, AS2-HTTPS) and FTPS use an internal SSL transport cache to significantly improve the performance of negotiating security parameters while establishing trusted connections. In some situations, problems might arise when third-party server implementations are not able to properly handle cached sessions or renegotiation of security properties at the beginning of each application level communication session. For example, when the Initiator always wants to ensure that the peer's credential is the one that is trusted and has not changed during any cached session. The cache usually holds successfully negotiated security parameters for about 5 minutes, so that large numbers of transactions between the Initiator and any given trading partner require a credential renegotiation in approximately 5 minutes. For TIBCO BusinessConnect Container Edition to enforce the renegotiation of the peer's credentials, this checkbox can be selected for any individual outgoing transport. If selected, each time TIBCO BusinessConnect Container Edition has business data to be delivered to the corresponding trading partner, the peer's credentials are requested and verified. Note: When session caching for outgoing HTTPS/FTPS transports is disabled, performance can be significantly degraded and this should be done only if there are known problems with the involved third-party server application's handling of SSL session caching.
IPFilter | bc.ipfilter.enabled | Enable or disable the Gateway Service Network filtering.
bc.ipfilter.default.noMatchPolicy | Default IP Filter Policy when no matching rules are evaluated on an inbound Gateway Service request where applicable. You can select Accept or Deny from the dropdown list. On the Gateway engine, when the incoming trading partner IP address does not match any of the IP filters available at the Gateway Instance, then this selected no matching policy is evaluated to Accept the request or Deny the request. On the Interior server side, when the trading partner IP address does not match any available IP filters on the trading partner level, then this no matching policy is evaluated to either Accept the request or Deny the request
Scheduler Poller | bc.task.scheduler.polling.interval | The scheduler polling interval in seconds. The default value is 60.
Queue Poller | bc.queue.poller.enabled | Enable or disable the message queue poller. The Queue Poller monitors the message queue table to schedule sets of transactions to be sent as batches. By default, this property is enabled.
bc.queue.poller.pollingInterval | The queue poller polling interval in seconds. The default value is 60.
MDN Poller | bc.mdn.poller.enabled | Enable or disable the MDN timeout poller. The MDN poller should be enabled when you use asynchronous MDNs (receipts) with the standard Email, AS1 Email or AS2 HTTP/S transports. The MDN poller checks for expired receipt requests. By default, this property is enabled.
bc.mdn.poller.pollingInterval | The MDN Poller Interval in seconds. The polling interval specified determines the number of checks TIBCO BusinessConnect Container Edition does for expired receipt (MDN) requests for the standard Email, AS1 Email and AS2 transports. A shorter polling interval allows MDN timeouts to be detected closer to the timeout period configured in the Receipt Timeout field of the Email, AS1, and AS2 transports. The polling interval should be less than or equal to the smallest timeout period specified in the Receipt Timeout field amongst all of the configured Email, AS1 and AS2 transports. The default value is 300.
Terminator Poller | bc.tx.terminator.enabled | The terminator poller is used to monitor the Poller table for any pending transactions that have been marked for termination by a user. By default, this property is enabled.
bc.tx.terminator.pollingInterval | The polling interval of the terminator poller is responsible for terminating transactions that were marked for termination from the UI. The default value is 60.
Resend Poller | bc.tx.resend.enabled | Enables or disables the resend poller. The resend poller is used to monitor the Resend table for any transactions that have been marked for resending by a user. By default, this property is enabled.
bc.tx.resend.pollingInterval | Resend polling interval in seconds. Transactions can be selected and sent again from the UI. TIBCO BusinessConnect Container Edition keeps polling for such transactions at a regular interval, so that it can collect them and send them as requested. The polling interval specifies the look up frequency for the transactions that are sent. The default value is 120.
bc.tx.resend.messagesPerPoll | This property specifies the maximum number of messages that BusinessConnect Container Edition sends again during one polling cycle. If there are many messages that need to be sent, memory is heavily utilized to reprocess them all at once. For example, if 2,000 transactions are selected for resend, they pick up 500 at a time until there are no more transactions to be sent again. This property along with the property `bc.tx.resend.pollingInterval` makes it possible to fine-tune resend behavior by limiting the maximum number of messages to be processed in one polling cycle. The default value is 500.
Hibernation Poller | bc.hibernation.pollingInterval | The Hibernation Poller periodically looks for hibernated messages that have exceeded their expiration time. A message is put into hibernation because it is waiting for a response from a trading partner. The request message from the Request/Reply transaction is put into hibernation until the reply is received or the reply timeout is exceeded. The request message from a receipt request for the standard Email, AS1 Email or AS2 HTTP/S transports are put into hibernation until the receipt is received or the receipt timeout is exceeded. The Hibernation Polling interval specifies how long TIBCO BusinessConnect Container Edition sleeps between each polling cycle for expired hibernated messages. The default value is 75.
bc.hibernation.mode | The following hibernation mode is available: • db
FTP Poller | bc.ftpget.poller.enabled | Enables or disables the FTP Poller. By default, this property is enabled.
bc.ftpget.poller.pollingInterval | FTP polling interval in seconds. The polling interval specifies how long TIBCO BusinessConnect Container Edition sleeps between each cycle of retrieving files from the trading partners FTP sites. The default value is 120.
bc.ftpget.timeout | FTP timeout in seconds. The value specified is used to set the socket timeout for an FTP GET command. The FTP GET command terminates if it does not complete within the timeout period. The default value is 300.
bc.ftpget.workers | Max FTP/SSHFTP Workers per polling cycle. Each polling cycle can utilize one or more workers. Each worker can process an FTP/S or SSHFTP poller at a time and they are run concurrently. One polling cycle checks if every participant's transport (that wanted to use the poller) has completed the polling cycle. For example, if you set up FTP GET (or SSHFTP GET) for 10 participants and specify 5 workers, then the 10 tasks start processing with no more than 5 polls being run at any given time. If no participant's transport is waiting for the execution, the polling cycle ends and the next cycle starts in the similar fashion as required by the polling interval. The default value is 5.
bc.ftp.enablecmd.passive | Enable the FTP Passive mode. In the FTP Passive mode, the FTP client initiates both data and command connections to the remote FTP server. By default, this property is enabled.
bc.honorThreshold | Honor Inbound Threshold for FTP Large Files. When selected, this checkbox directs TIBCO BusinessConnect Container Edition to honor the preset inbound threshold for the large file sizes using FTP. If you change this setting, be sure to restart the BusinessConnect Container Edition for the changes to take effect. By default, this property is enabled.
SSHFTP | bc.sshftp.cache.tunnel | SSHFTP Tunnel Max Inactive Life in minutes. Only one SSH tunnel (per transport) exists between a host and a participant. If this tunnel is inactive for a longer time than described by this parameter, BusinessConnect Container Edition removes the tunnel and creates a one, next time the BusinessConnect Container Edition needs to send or receive messages. If the tunnel is removed earlier because of other problems, such as the trading partner closed it or a disconnection occurred, BusinessConnect Container Edition tries to create a tunnel automatically and fall back to that if possible. The default value is 120.
EDIINT | bc.ediint.streamSize | A message size threshold. When reached, it causes messages to be stored in temporary files on the file system while they are being processed, instead of being stored in memory. Consider setting this property to a low value when processing large messages, since it helps to conserve system memory. The default value is 5000000
bc.ediint.suppress.foldedheader | Enabling this property removes any embedded CRLFs from the content-type header field of the following types of outbound HTTP messages: Signed messages and Message Disposition Notifications (receipts). The resulting content-type headers are all on one line. This property can be set for a specific trading partner by creating a Boolean property with the following name format: `bc.ediint.suppress.foldedheader.<tpName>` Any spaces in the trading partner name should be replaced with underscores (_) when specifying the name of the property. By default, this property is enabled.
bc.ediint.as2.inbound.filename.preservation | Enable file name preservation for the inbound AS2 messages. If enabled, all inbound AS2 messages with a content disposition type of “attachment” is stored on the file system after unpackaging. Files are stored in the shared directory for BusinessConnect Container Edition, under a subdirectory for the trading partner, and by date in the following way: If a file name has been specified in the content disposition header, it is used when storing the message. If the file name exists for that trading partner and date, it is generated based upon the filename specified in the content disposition header and has the following form: <specified filename base>_ <TP name>_<GUID>_<inbound file number>.<specified filename extension> If a file name extension is not specified, none is used. Note: Various operating systems restrict the characters used in file names. Therefore, TIBCO BusinessConnect Container Edition does not allow use of the following characters in file names: embedded quotes, <, >, ?, :
bc.ediint.as2.outbound.filename.preservation | Enable file name preservation for the outbound AS2 messages. If enabled, BusinessConnect Container Edition tries to package all outbound AS2 messages as attachments with file names by including a content disposition header of the following form: `Content Disposition: attachment;filename=specified_filename` The value of specified_filename is taken from the file name specified in the content disposition field of the message INITIATOR.REQUEST. If the outbound File poller is used to pass messages from the private process to BusinessConnect Container Edition, the name of the file containing the message from the outbound File poller is used as the value of specified_filename in the content disposition header. Note: Various operating systems restrict the characters used in file names. Therefore, TIBCO BusinessConnect Container Edition does not support the use of the following characters in file names: embedded quotes, <, >, ?, :
bc.ediint.digestAlgorithmEnabled | Determines whether the AS1 and AS2 transports use the SHA1 message digest algorithm or pick up the digest algorithm setting from the Business Agreements. By default, `bc.ediint.digestAlgorithmEnabled` is disabled, and the AS1 and AS2 handlers will always use SHA1 for the message digest algorithm as recommended by their respective specifications.
DDTP | bc.ib.channel.force.plain | Gateway Server and Interior Server can use plain HTTP connections for DMZ Data Transfer Protocol (DDTP) data transferring after you enable this property in TIBCO Admin UI and set the value of the `java.property.bc.ib.channel.force.plain` property in all gsengine.tra files to true separately. This implementation reduces the communication time between Gateway Server and Interior Server when high performance is required and the data transfer security across the inner firewall is not a significant concern. By default, this property is disabled.
bc.ib.channel.maxProcessor | This property applies to the Interior Servers and is used to specify the maximum number of threads that each Interior Server can use to handle DDTP data transferring between Interior Server and Gateway Servers using the data-tunneling. The data streaming can come from Gateway Server or go to Gateway Server and eventually go to trading partners when trading partners download files using the SSHFTP or FTPS service. The default value of this property is 5. You can increase this value when high volumes or large payloads are processed. When you set a value for this property, it is good practice that the total value of this property in all Interior Servers is close to the total value of the `java.property.gs.webengine.ddtp.maxProcessor` property in all Gateway Servers.
Miscellaneous | bc.useFLock | Two options are available in the dropdown list: File and Database. In TIBCO BusinessConnect Container Edition, some functions use locks to achieve synchronization among the servers. If you install TIBCO BusinessConnect Container Edition on a Linux platform, it is good practice to use the database-based lock instead of the file-based lock because the file-based lock is not stable. Note: If you deploy TIBCO BusinessConnect Container Edition in load-balancing mode, you must set this property to the database-based lock.
bc.securityLevel | Security Level when connecting to an HTTPS server. Select from the dropdown list: HIGH or LOW. All leaf certificates need to be checked and this value determines how the certificates are checked. This property is selected only on the client side and has the following values: • LOW: Used when testing with sample certificates. When the value is LOW, the host name authentication is not done. • HIGH: Default setting. BusinessConnect Container Edition validates the remote server certificate to ensure that the host registered with that certificate is the same as the one receiving the POST: the certificate CN (common name) must match the URL host name.
bc.securityVendor.sockets | Security vendor for inbound and outbound socket operations. Select SUN or IBM.
bc.security.restrict | Version Security level is restricted to the specified version or later. The options available in the dropdown list are: All, SSLv3, TLSv1, TLSv1.1, or TLSv1.2. Note: If you select TLS version 1.1 or 1.2, you have to select SUN or IBM as the security vendor for inbound and outbound socket operations.
bc.security.sslv2hello.enabled | Enables SSL agreement authentication between trading partners.
bc.maxAuditLog.EntriesPerView | Maximum Log Viewer entries per view. You can set this value to control how many rows of data should be returned from the audit/non-repudiation database for viewing. Note: If this value is set too high, it might consume all the available memory and put the system at risk. The default value is 300.
bc.repo.fetch.limit | This property is used to limit the number of configuration items fetched and displayed initially when you open certain configuration pages. In systems with a large amount of configuration items, such as a large number of users, participants, or business agreements and other items, the page response time is improved. The default value of this property is 500. Because only a limited number of configuration items are fetched from the configuration store and displayed on the configuration page, you cannot paginate the displayed items beyond the limit. If a large number of items are stored in the configuration store, you have to use the Search function to fetch the items you want.
Jasper | bc.repo.jasper.fetch.limit | The property is used to limit the number of records that are fetched for JasperReports Tabular data. The default value of this property is 500.
Inbox Transport | bc.inbox.sendEmail | Sends an Email to the Partner on successful Inbox storage when using Inbox Transport as the primary transport.
bc.inbox.notify.payload.Timeout | Default time for the Notify transaction payload to reside in Inbox before it is purged in minutes. The default value of this property is 1440.
bc.inbox.response.payload.Timeout | Default time for the Response transaction payload to reside in Inbox before it is purged in minutes. The default value of this property is 1440.
File Based | bc.filebased.sfws.enabled | Enable this property to place a file into an NFS store location when the file size exceeds the threshold value.
| bc.filebased.sfws.threshold | Configures the threshold value, if the file size exceeds. It is placed into the NFS store location for processing or is directly processed by private process.
| bc.filebased.sfws.storelocation | Configures the NFS store location for files exceeding threshold values to be placed.
LDAP Configuration | bc.ldap.rolebasedn.attribute | The distinguished name of an LDAP entry that contains the role entries. For example, the following information can be a roleBaseDN: `CN=Users,DC=adldap,DC=com` The parts DC=adldap and DC=com are optional for the baseDN entry. The part CN=Users is mandatory, unless a role entry is created in baseDN. For more information, see Adding an Authentication Source. Note: Ensure that an entry is created under the Base DN, which is specified in the Base DN field in the LDAP server configuration, on the LDAP server before you specify a value cn=entry_name for this property. The entry must have the object class organizationalRole on the Open LDAP server or IBM Tivoli Directory LDAP server, Container on the Microsoft Active Directory LDAP server, and nsContainer on the Sun ONE LDAP server.
JMS Configuration | bc.jms.destination.cache | A JMS destination cache is created after you enable this property. By using the cache, Interior Server does not have to discover the JMS destinations every time when it sends messages to a private process by using the JMS transport. This implementation improves the communication performance between Interior Server and the JMS server, and it is effective if the related EMS destinations used by the JMS server are not updated frequently. By default, this property is enabled.
TAS Audit Log | bc.auditlog.messageInAsync | This property specifies whether to save transaction messages in the audit log asynchronously. By default, this property is disabled. Note: With the properties of bc.auditlog.messageInAsync, bc.auditlog.messageInAsync.maxMessages, bc.auditlog.messageInAsync.maxTotalSize, and bc.auditlog.messageInAsync.threadpool.size, you can save transaction messages in audit logs asynchronously. This function is useful when the message size is large and the database connection is not good, but fast delivery or quick response is required. When using this function, you must be cautious with the system memory consumption because more memory is consumed as a cache to temporarily store messages before the messages are written to the database.
bc.auditlog.messageInAsync.maxMessages | This property specifies the maximum number of messages in asynchronous message audit log queue. The default value of this property is 2000.
bc.auditlog.messageInAsync.maxTotalSize | This property specifies the maximum size of memory in MB that can be used for asynchronous message audit log. The default value of this property is 128. The limit for messages is controlled by both the maxMessage and maxTotalSize properties. The property that first reaches the limit condition takes effect.
bc.auditlog.messageInAsync.threadpool.size | This property specifies the size of thread pool that can be used for consuming the messages stored in memory temporarily and writing the messages to the database. The default value of this property is 10. You can increase this value if the memory occupied by the messages increases.

Note: For detailed information on editing the protocol plug-in properties, see the appropriate documentation for the specific protocol.

#### Deleting a Property

To remove the newly added properties, click the Delete icon of the property you wish to delete in the Edit BCCE Plugin Settings dialog.

Note: You can remove only user-defined properties; default properties cannot be removed.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessConnect™ Container Edition

Copyright © 2001-2024. Cloud Software Group, Inc. All Rights Reserved.